### Method

# Shumate MapLayer get_map_source

unstable since: 1.7

#### Declaration [src]

    ShumateMapSource*
    shumate_map_layer_get_map_source (
      ShumateMapLayer* self
    )

#### Description [src]

Gets the `ShumateMapSource` providing tiles for this map layer.

Available since: 1.7

Gets property | `Shumate.MapLayer:map-source`

#### Return value

Type: `ShumateMapSource`

The `ShumateMapSource`.

The returned data is owned by the instance.